Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 04 Sep 2020 06:17:21 +0000

Hi Rehan Khan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery My order was not delivered, I have entered wrong mobile number Non working one  by mistake , but the carrier marked it as delivered !! im trying to reach the management but i couldnt yet. I need the number of the delivery company so I contact them directly without these non helpful agents.
I checked with the security of the tower that Im working in and no one has received anything. Also the agents are saying there will be a signature of the receiver so provide me with it if its there .

I have been contacting the call center agent for the last 10 days !! they keep repeating same words like a robot. and I asked to call a supervisor and they said leave your number so the management call you and of course they did not !! what is their work ? to have a cup of coffe and go home? what type of customer support service that does not have supervisors on site ? 

Order number: 8397859405
My Phone number: +96590938406

Anyhow if my case did not get resolved within 1 week. I will be going to Ministry of commerce and raise a complain with the help of customer security unit then you will get to know how to treat your customers better : https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1451792